Description

Hello

I'm trying to create a simple cross-tab splitting up cognitive ability by language. However, Stata (v18) is displaying 'No observations'.

Is this because those who responded to the language questions did not answer the cognitive ability module, or did I make a mistake

in my coding? I'd be very grateful for any help in this direction.

History

#1 - 08/02/2024 10:15 AM - Understanding Society  User Support Team

- % Done changed from 0 to 10

- Private changed from Yes to No

Hi Elisabeth,

Could you please tell us the names of the variables you are tabulating and the wave(s).

Best wishes,

Piotr Marzec

UKHLS User Support

#2 - 08/02/2024 10:25 AM - Elisabeth Wallmann

Hi Piotr

I'm using cgna_dv and cgvfc_dv for cognitive ability and I've tried both kidlang and englang for language, looking at all waves.

Thanks

Elisabeth

#3 - 08/02/2024 11:43 AM - Understanding Society  User Support Team

- File kidlang_forum.do added

- Category set to Data management

- % Done changed from 10 to 90

HI Elisabeth,

This happens because cgna_dv and cgvfc_dv are in wave 3 and but other variables are not. I am guessing you must have incorrectly linked the data

by accident. You can approach this in many ways, for instance: first, you can create a cross-wave kidlang and englang (each is scattered across a

few waves), save it, then, second, open the c_indresp and link the previously saved cross-wave kidlang and englang. See the attached do file.

I hope it helps.

Best wishes,

Piotr Marzec

UKHLS User Support

#4 - 08/13/2024 12:29 PM - Understanding Society  User Support Team

- Status changed from New to Feedback

Files

kidlang_forum.do 934 Bytes 08/02/2024 Understanding Society  User Support Team
